#include <stdlib.h>

#ifdef HAVE_QT
#include <qapplication.h>
#include "Ermixer.h"
#endif

#include "line.h"
#include "interface.h"
#include "utils.h"
#include "engine.h"

int main(int argc, char *argv[]) 
{

  checkDir();
  
  if (argc > 1) 
    linemain(argv);

#ifdef HAVE_QT
  else if (getenv("DISPLAY") != NULL)
    {
      QApplication app(argc, argv);
      Ermixer ermixer;
      ermixer.show();
      
      return app.exec();
    }
#endif
  else
    cursmain();
  
  exit(0);
  
}
